stages:
  - publish

workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == "develop" || $CI_COMMIT_BRANCH == "staging" || $CI_COMMIT_BRANCH == "main"
    - when: never

Publish AsyncAPI:
  stage: publish
  image: node:lts
  script:
    - mkdir -p /var/www/openapi/${CI_PROJECT_NAME}/${CI_COMMIT_BRANCH}/asyncapi
    - npx --yes -p @asyncapi/cli asyncapi generate fromTemplate ./data-persistence-api-spec.yaml @asyncapi/html-template -o /var/www/openapi/${CI_PROJECT_NAME}/${CI_COMMIT_BRANCH}/asyncapi
